From: James Valleroy <jvalleroy@mailbox.org>
Date: Mon, 18 Nov 2024 15:13:21 -0500
Subject: Make test providers static

---
 tests/Handlers/ErrorTest.php      | 2 +-
 tests/Handlers/NotAllowedTest.php | 2 +-
 tests/Handlers/NotFoundTest.php   | 2 +-
 tests/Handlers/PhpErrorTest.php   | 2 +-
 tests/Http/UploadedFilesTest.php  | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/Handlers/ErrorTest.php b/tests/Handlers/ErrorTest.php
index b1b90bc..f9bbab2 100644
--- a/tests/Handlers/ErrorTest.php
+++ b/tests/Handlers/ErrorTest.php
@@ -19,7 +19,7 @@ use UnexpectedValueException;
 
 class ErrorTest extends PHPUnit\Framework\TestCase
 {
-    public function errorProvider()
+    public static function errorProvider()
     {
         return [
             ['application/json', 'application/json', '{'],
diff --git a/tests/Handlers/NotAllowedTest.php b/tests/Handlers/NotAllowedTest.php
index 7c3800c..2dd7da1 100644
--- a/tests/Handlers/NotAllowedTest.php
+++ b/tests/Handlers/NotAllowedTest.php
@@ -15,7 +15,7 @@ use Slim\Http\Response;
 
 class NotAllowedTest extends PHPUnit\Framework\TestCase
 {
-    public function invalidMethodProvider()
+    public static function invalidMethodProvider()
     {
         return [
             ['application/json', 'application/json', '{'],
diff --git a/tests/Handlers/NotFoundTest.php b/tests/Handlers/NotFoundTest.php
index f364eb3..4d57401 100644
--- a/tests/Handlers/NotFoundTest.php
+++ b/tests/Handlers/NotFoundTest.php
@@ -16,7 +16,7 @@ use Slim\Http\Uri;
 
 class NotFoundTest extends PHPUnit\Framework\TestCase
 {
-    public function notFoundProvider()
+    public static function notFoundProvider()
     {
         return [
             ['application/json', 'application/json', '{'],
diff --git a/tests/Handlers/PhpErrorTest.php b/tests/Handlers/PhpErrorTest.php
index 4dcbdb0..5411cea 100644
--- a/tests/Handlers/PhpErrorTest.php
+++ b/tests/Handlers/PhpErrorTest.php
@@ -18,7 +18,7 @@ use UnexpectedValueException;
 
 class PhpErrorTest extends PHPUnit\Framework\TestCase
 {
-    public function phpErrorProvider()
+    public static function phpErrorProvider()
     {
         return [
             ['application/json', 'application/json', '{'],
diff --git a/tests/Http/UploadedFilesTest.php b/tests/Http/UploadedFilesTest.php
index 443109d..03fcf76 100644
--- a/tests/Http/UploadedFilesTest.php
+++ b/tests/Http/UploadedFilesTest.php
@@ -231,7 +231,7 @@ class UploadedFilesTest extends PHPUnit\Framework\TestCase
         $this->assertFileNotExists($uploadedFile->file);
     }
 
-    public function providerCreateFromEnvironment()
+    public static function providerCreateFromEnvironment()
     {
         return [
             // no nest: <input name="avatar" type="file">
